*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    height: 100vh;
}

main{
    display: grid;
    grid-template-rows: 1fr auto;
}

#back{
    max-width: 100%;
    width: 35px;
    height: 35px;
}

.map-aside{
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: rgb(60, 186, 228);
    text-align: center;
    height: 100%;
    align-items: center;
}

.map-admin{
    min-width: 100%;
}

.title-legend-zones{
    background-color: lightblue;
    margin: 0;
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
    padding-left: 0.25rem;
}

.bZone{
    margin: 1rem;
}

#legendDiv{
    background: rgb(147, 154, 111);
    background: linear-gradient(90deg, rgba(147,154,111,0.7) 0%, rgba(154,179,25,0.7) 62%, rgba(21,103,37,0.7) 100%);
    display: grid;
    grid-template-columns: auto auto auto;
}

img.colorMarker0 { filter: hue-rotate(0deg); }
img.colorMarker20 { filter: hue-rotate(20deg); }
img.colorMarker40 { filter: hue-rotate(40deg); }
img.colorMarker60 { filter: hue-rotate(60deg); }
img.colorMarker80 { filter: hue-rotate(80deg); }
img.colorMarker100 { filter: hue-rotate(100deg); }
img.colorMarker120 { filter: hue-rotate(120deg); }
img.colorMarker140 { filter: hue-rotate(140deg); }
img.colorMarker200 { filter: hue-rotate(200deg); }

#legendPorts{
    columns: 2;
    -webkit-columns: 2;
    -moz-columns: 2;
}
.rojo{
    background-color: lightblue;
}

#map-missing{
    height: 100%;
    display: grid;
    grid-template-rows: 1fr auto;
}

#map { 
    height: 100%;
    min-height: 400px;
}

#aside-map-complete{
    display:flex;
    flex-direction: column;
    min-height: 200px; 
}

.legendTitle{
    font-weight: bold;
    font-size: 1.3rem;
    margin-left: 1rem;
}

#legendZonasReservadas{
    /* grid-template-areas: lists2; */
    height: 100%;
    background-color: lightblue;
    padding: 0.5rem;
}

#legendZonesMissing{
    overflow:auto;
    background-color: lightblue;
    padding: 0.5rem;
    height: 100%;
}

#legendZones, #legendIcons, #legendPorts {
    list-style: none; 
}

li{
    color: black;
}

.div-separator{
    height: 5%;
    background-color: rgb(114, 197, 224);
}

#legendZones li::before, #legendIcons li::before, #legendPorts li::before{
    content: "\2022";  
    display: inline-block;
    width: 1em; 
    margin-left: 1em; 
    font-weight: bold; 
}
#freeLi::before{
    color: green;
}

#seaLi::before{
    color: red;
}

#windyLi::before{
    color: white;
}

#contaminatedLi::before{
    color: black;
}

#fishingBoatLi::before{
    color: blue;
}

#coastguardBoatLi::before{
    color: brown;
}

@media (width < 576px) { 
    #legendIcons, #legendPorts{
        columns: 1;
        -webkit-columns: 1;
        -moz-columns: 1;
    }
}

@media (min-width: 768px) {
    #map-missing{
        height: 100%;
        display: grid;
        grid-template-areas: none;
        grid-template-columns: 6fr 1fr;
    }

    li{
        font-size: 1.2rem;
    }
}